GET
/v1/platforms/{id}Get a platform
Retrieves a platform by its identifier. Use id to select the platform; it must contain exactly 21 alphanumeric characters.
idstringrequired
The platform identifier, exactly 21 alphanumeric characters.
200Returns the platform configuration, including its name, branding, authentication settings, and piece filtering settings.
allowedAuthDomainsarray<string>required
allowedEmbedOriginsarray<string>required
cloudAuthEnabledbooleanrequired
createdstringrequired
emailAuthEnabledbooleanrequired
enforceAllowedAuthDomainsbooleanrequired
favIconUrlstringrequired
federatedAuthProvidersobjectoptional
filteredPieceBehaviorstringrequired
filteredPieceNamesarray<string>required
fullLogoUrlstringrequired
googleAuthEnabledbooleanrequired
idstringrequired
logoIconUrlstringrequired
namestringrequired
ownerIdstringrequired
pinnedPiecesarray<string>required
planobjectrequired
primaryColorstringrequired
ssoDomainstringoptional
ssoDomainVerificationobjectoptional
updatedstringrequired
usageobjectoptional
Error handling
The id path parameter must contain exactly 21 alphanumeric characters and identify the platform to retrieve.